#####科目相关


###获得全部科目记录
GET_ALL_COURSES = SELECT * FROM tb_OnLineExam_Course

###获得指定ID的科目记录
GET_COURSE_BY_ID = SELECT * FROM tb_OnLineExam_Course WHERE ID = ?

###获得严格匹配指定名称的科目记录
GET_COURSE_BY_NAME_EXACTLY = SELECT * FROM tb_OnLineExam_Course WHERE Name = ?

###获得匹配指定名称的所有科目记录
GET_COURSES_BY_NAME = SELECT * FROM tb_OnLineExam_Course WHERE Name LIKE ?

###获得指定类型ID的所有科目记录
GET_COURSES_BY_TYPE_ID = SELECT * FROM tb_OnLineExam_Course WHERE TypeID = ?

###添加科目记录
ADD_COURSE = INSERT INTO tb_OnLineExam_Course (Name, TypeID, Description) VALUES (?, ?, ?)

###更新指定ID的科目记录
UPDATE_COURSE = UPDATE tb_OnLineExam_Course SET Name = ?, TypeID = ?, Description = ? WHERE ID = ?

###删除指定ID的科目记录
DELETE_COURSE_BY_ID = DELETE FROM tb_OnLineExam_Course WHERE ID = ?